Bug 691375 - subversion client demands unnecessary access to parent directories of operations
subversion client demands unnecessary access to parent directories of operations
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subversion (Show other bugs)
5.5
Unspecified Unspecified
urgent Severity high
: rc
: ---
Assigned To: Joe Orton
qe-baseos-daemons
: Regression, ZStream
Depends On:
Blocks: 668957 749494 809384 921143
  Show dependency treegraph
 
Reported: 2011-03-28 07:43 EDT by Siddhesh Poyarekar
Modified: 2015-09-13 20:22 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 749494 (view as bug list)
Environment:
Last Closed: 2013-09-23 07:19:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Legacy) 49288 None None None Never

  None (edit)
Description Siddhesh Poyarekar 2011-03-28 07:43:26 EDT
Description of problem:
subversion client demands unnecessary access to parent directories of operations.

Version-Release number of selected component (if applicable):
subversion-1.6.11-7.el5
mad_dav_svn

How reproducible:
Always

Steps to Reproduce:
1. Add user1 and user2 that have access to the project foo, but not the repo underneath:

[repos:/foo]
user1 = rw
user2 = rw
[repo1:/]
*=

2. svn co https://localhost/repos/foo --username user1
3. svn co https://localhost/repos/foo --username user2
4. As user1: svn rename test.txt new-test.txt; svn commit
5. As user2: svn update
  
Actual results:
svn: Server sent unexpected return value (403 Forbidden) in response to OPTIONS request for 'https://10.65.210.16/repos/testrepo'

Expected results:
No error

Additional info:

Upstream bug: http://subversion.tigris.org/issues/show_bug.cgi?id=3242

Some fixes for this had made it into upstream 1.6.11 that we rebased to, but a lot of other fixes came in later.

The fix that is already present in 1.6.11:

http://svn.apache.org/viewvc?view=revision&revision=923779

Revisions that need to be backported for the fix:

r955369 - Fix regression from r946767
r946767 - reintegrate merges
r933299 - svn update after a file rename is committed (steps to reproduce above)
r931211 - merginfo initial fixes

Apart from these, there are patches that include test cases: 

r945350 - reintegrate merge
r930921 - mergeinfo tests
r896562 - Only the test case tweaks in this. The rest is already there in 1.6.11
r896219 - tweaks to test in r877983
r877983 - copy
r876530 - regression test for the fixes
Comment 1 Siddhesh Poyarekar 2011-03-28 07:48:19 EDT
Sorry, the error should obviously have read:

svn: Server sent unexpected return value (403 Forbidden) in response to OPTIONS
request for 'https://localhost/repos/foo'

Note You need to log in before you can comment on or make changes to this bug.